2011年11月21日

[ruby-list:48534] Ruby1.9.3p0にdebug-ideをインストール


前川です。

windows-xpで、ruby1.9.3p0にdebug-ideをローカルで、設定しようとしましたが、

linecache19-0.5.11.gemのインストールで、エラーとなりました。

コマンド、エラーメッセージは、以下です。


エラーメッセージを確認したら、checking for RUBY_VERSION_MAJOR in
version.h... no とありました。

確かに、1.9.3p0のソースファイルのversion.hには、RUBY_VERSION_MAJOR の定義
はありませんでした。

1.9.3p0で使用できるlinecacheのgemファイルについて、ご教示ください。

よろしくお願いします。

O/S;;Microsoft Windows XP [Version 5.1.2600]
(C) Copyright 1985-2001 Microsoft Corp.

Ruby;;ruby 1.9.3p0 (2011-10-30) [i386-mingw32]

=========== エラーメッセージ ===================

D:\Ruby193p0>gem install linecache19-0.5.11.gem --
--with-ruby-include=D:\Ruby193p0\rubysrc_193p0 --local
Temporarily enhancing PATH to include DevKit...
Building native extensions. This could take a while...
ERROR: Error installing linecache19-0.5.11.gem:
ERROR: Failed to build gem native extension.

D:/Ruby193p0/bin/ruby.exe extconf.rb
--with-ruby-include=D:\Ruby193p0\rubysrc_193p0 --local
checking for vm_core.h... yes
checking for version.h... yes
checking for RUBY_VERSION_MAJOR in version.h... no
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/ruby_core_source-0.1.4/lib/ruby_core_source.rb:39:
Use RbConfig instead of obsolete and deprecated

Config.
checking for vm_core.h... no
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of
necessary libraries and/or headers. Check the mkmf.log file for more
details. You may need configuration options.

Provided configuration options:
--with-opt-dir
--without-opt-dir
--with-opt-include
--without-opt-include=${opt-dir}/include
--with-opt-lib
--without-opt-lib=${opt-dir}/lib
--with-make-prog
--without-make-prog
--srcdir=.
--curdir
--ruby=D:/Ruby193p0/bin/ruby
--with-ruby-dir
--without-ruby-dir
--with-ruby-include=${ruby-dir}/include
--with-ruby-lib
--without-ruby-lib=${ruby-dir}/lib
D:/Ruby193p0/lib/ruby/1.9.1/net/http.rb:762:in `initialize': A connection
attempt failed because the connected party did not properly

respond after a period of time, or established connection failed because
connected host has failed to respond. - connect(2
) (Errno::ETIMEDOUT)
from D:/Ruby193p0/lib/ruby/1.9.1/net/http.rb:762:in `open'
from D:/Ruby193p0/lib/ruby/1.9.1/net/http.rb:762:in `block in
connect'
from D:/Ruby193p0/lib/ruby/1.9.1/timeout.rb:54:in `timeout'
from D:/Ruby193p0/lib/ruby/1.9.1/timeout.rb:99:in `timeout'
from D:/Ruby193p0/lib/ruby/1.9.1/net/http.rb:762:in `connect'
from D:/Ruby193p0/lib/ruby/1.9.1/net/http.rb:755:in `do_start'
from D:/Ruby193p0/lib/ruby/1.9.1/net/http.rb:744:in `start'
from D:/Ruby193p0/lib/ruby/1.9.1/net/http.rb:1284:in `request'
from
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/ruby_core_source-0.1.4/lib/contrib/uri_ext.rb:239:in
`block in read'
from
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/ruby_core_source-0.1.4/lib/contrib/uri_ext.rb:286:in
`connect'
from
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/ruby_core_source-0.1.4/lib/contrib/uri_ext.rb:234:in
`read'
from
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/ruby_core_source-0.1.4/lib/contrib/uri_ext.rb:128:in
`download'
from
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/ruby_core_source-0.1.4/lib/ruby_core_source.rb:55:in
`block in

create_makefile_with_core'
from D:/Ruby193p0/lib/ruby/1.9.1/tempfile.rb:316:in `open'
from
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/ruby_core_source-0.1.4/lib/ruby_core_source.rb:51:in
`create_makefile_with_core'
from extconf.rb:20:in `<main>'
Requesting http://ftp.ruby-lang.org/pub/ruby/1.9/ruby-1.9.3-p0.tar.gz


Gem files will remain installed in
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/linecache19-0.5.11 for inspection.
Results logged to
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/linecache19-0.5.11/ext/trace_nums/gem_make.out

投稿者 xml-rpc : 2011年11月21日 17:22
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/107483
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。